Package com.independentsoft.graph.mails

# Class MailSearchFolder

java.lang.Object
com.independentsoft.graph.mails.MailSearchFolder

All Implemented Interfaces:
  `ICreatable`

public class MailSearchFolder extends Object implements ICreatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MailSearchFolder()`
  `MailSearchFolder​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getChildFolderCount()`
  `String`
  `getDisplayName()`
  `String`
  `getFilterQuery()`
  `String`
  `getId()`
  `String`
  `getParentFolderId()`
  `List<String>`
  `getSourceFolderIds()`
  `int`
  `getTotalItemCount()`
  `int`
  `getUnreadItemCount()`
  `boolean`
  `isIncludeNestedFolders()`
  `boolean`
  `isSupported()`
  `void`
  `setDisplayName​(String displayName)`
  `void`
  `setFilterQuery​(String filterQuery)`
  `void`
  `setIncludeNestedFolders​(boolean includeNestedFolders)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MailSearchFolder

    public MailSearchFolder()

  - ### MailSearchFolder

    public MailSearchFolder​(JsonObject jsonObject)

- ## Method Details

  - ### getId

    public String getId()

  - ### getDisplayName

    public String getDisplayName()

  - ### setDisplayName

    public void setDisplayName​(String displayName)

  - ### isIncludeNestedFolders

    public boolean isIncludeNestedFolders()

  - ### setIncludeNestedFolders

    public void setIncludeNestedFolders​(boolean includeNestedFolders)

  - ### getSourceFolderIds

    public List<String> getSourceFolderIds()

  - ### getFilterQuery

    public String getFilterQuery()

  - ### setFilterQuery

    public void setFilterQuery​(String filterQuery)

  - ### isSupported

    public boolean isSupported()

  - ### getParentFolderId

    public String getParentFolderId()

  - ### getTotalItemCount

    public int getTotalItemCount()

  - ### getUnreadItemCount

    public int getUnreadItemCount()

  - ### getChildFolderCount

    public int getChildFolderCount()

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource